#[1]
install.packages("scatterplot3d");library(scatterplot3d)
#[2]
ifname<- "DataBloodType.csv"
alldata <- read.delim(ifname, header=T, sep=",", as.is=TRUE, strip.white=FALSE)
head(alldata)
BloodMatrix<-as.matrix(alldata[,-c(1,2,3)])
head(BloodMatrix)
rownames(BloodMatrix)<-alldata[[1]]
#[3]
BloodMatrix
#[4]---1D---
apply(BloodMatrix,2,mean); apply(BloodMatrix,2,var)
#[5]---2D---
plot(BloodMatrix[,1],BloodMatrix[,2],xlab="Opos",ylab="Apos")
cov(BloodMatrix[,1],BloodMatrix[,2])
cor(BloodMatrix[,1],BloodMatrix[,2])
#[6]---3D---
scatterplot3d(BloodMatrix[,1:3])
#[7]---all pairs of plots -------------------------------
pairs(BloodMatrix)